Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class SQLDataOneToOneFieldMapping.Data

    java.lang.Object
      |
      +--kodo.jdbc.meta.SQLDataOneToOneFieldMapping.Data

All Implemented Interfaces:
  SQLData

Enclosing class:
  SQLDataOneToOneFieldMapping

public abstract static class SQLDataOneToOneFieldMapping.Data
extends Object
implements SQLData

Class which provides `SQLData` access to struct data.

Field Summary
`protected Object[]` | `data`

Constructor Summary
`SQLDataOneToOneFieldMapping.Data()`

Method Summary
`abstract DBDictionary` | `getDictionary()` Return a statically stored dictionary
`void` | `load(KodoStateManager sm, SQLDataOneToOneFieldMapping fm)` Load data into the given state manager
`protected abstract SQLDataOneToOneFieldMapping.Data` | `newInstance()` Convenience for empty constructor.
`protected void` | `readData(SQLInput input, int index, int typeCode, int element)` Read data from the given input and store in our intermediate array
`abstract void` | `setDictionary(DBDictionary dict)` Set a statically stored dictionary
`void` | `store(KodoStateManager sm, SQLDataOneToOneFieldMapping fm)` Store data from the given state manager
`protected void` | `storeData(SQLOutput output, int index, int typeCode, int element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.SQLData
`getSQLTypeName, readSQL, writeSQL`

Field Detail

### data

    protected Object[] data

Constructor Detail

### SQLDataOneToOneFieldMapping.Data

    public SQLDataOneToOneFieldMapping.Data()

Method Detail

### newInstance

    protected abstract SQLDataOneToOneFieldMapping.Data newInstance()

  Convenience for empty constructor.

### setDictionary

    public abstract void setDictionary(DBDictionary dict)

  Set a statically stored dictionary

### getDictionary

    public abstract DBDictionary getDictionary()

  Return a statically stored dictionary

### load

    public void load(KodoStateManager sm,
                     SQLDataOneToOneFieldMapping fm)

  Load data into the given state manager

### readData

    protected void readData(SQLInput input,
                            int index,
                            int typeCode,
                            int element)
                     throws SQLException

  Read data from the given input and store in our intermediate array

### store

    public void store(KodoStateManager sm,
                      SQLDataOneToOneFieldMapping fm)

  Store data from the given state manager

### storeData

    protected void storeData(SQLOutput output,
                             int index,
                             int typeCode,
                             int element)
                      throws SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.